import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:gap/gap.dart';

import '../../../../core/routes/routes.dart';
import '../../../../core/styles/app_color.dart';
import '../../../../core/styles/app_text.dart';
import '../../../../shared/components/button_widget.dart';
import '../../../../shared/components/text_widget.dart';

Widget bottomSection() {
  return Column(
    mainAxisSize: MainAxisSize.min,
    children: [
      Container(
        margin: const EdgeInsets.symmetric(
          horizontal: 16,
          vertical: 10,
        ),
        width: 1.sw,
        height: 56.h,
        child: ButtonWidget().elevatedBtn(
          txtClr: AppColor.plainWhite,
          function: () {
            goRouter.pop();
          },
          text: AppText.submitText,
          clr: AppColor.primaryColor2,
        ),
      ),
      ButtonWidget().textBtn(
          function: () {
            goRouter.pop();
          },
          text: TextWidget().text14W700(AppText.backText,
              clr: AppColor.textLabelColor,
              textDecoration: TextDecoration.underline)),
      const Gap(20),
    ],
  );
}
